FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000782FL52.2 Subprogram FLUC (CONV)public2016-02-05 09:542017-09-28 23:27
ReporterFalk Reichbott 
Assigned ToFalk Reichbott 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version5.1.10 
Target Version5.1.16Fixed in Version5.1.16 
Summary0000782: Support of conversion of tables, CSV files and FB datasets
DescriptionAdd a new formatting feature to convert tables.

fmt.tab(type.string(in() out())
        type.number(in() out())
        type.float(in() out())
        type.blob(in() out())
        type.selection(in() out())
        ...)

A list of types defines each row of an array. The inbound reprasentation and outbound reprasentation can be free defined. At read the outbound reprasentation has a internal default and at write the inbound reprasentation is known and must not specified.

With conv a new read.table() and write.table() must be supported.

The multiple (up to 32) conversions per column can be defined. For example, it must be possible to collapse a string, do character set conversion, encryption and base encoding for it.

Support all conversions also on byte and record interfaces.

FCROPNV(rtc,cnv,"type.string(in() out(whitespace=collapse))")
FCRGET/LOC/PUTV(rtc,hdl,cnv,len,dat)
FCRCLSV(rtc,cnv)

Support at minimum strings, blobs (binaries), number, floats, booleans and selections as scalar data types. The corresponding element converts are spezific for each data type and would be reused in the free logical format conversions cabebilities in the future.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000866resolvedFalk Reichbott Add table support to convert based on colums between CSV files and FB datasets 

-  Notes
(0001127)
Falk Reichbott (administrator)
2017-09-28 23:27

* First version of table support (FB<->CSV<->VB)
 ** A record can now split in several columns
 ** Each column are parted with different methods (fix length, length field, binary delimiter or CSV entry)
 ** Each column are assigned with a certain data type (binary, string, integer, float)
 ** Each data type supports different kinds of external representations (character set, endianness, BCD, ...)
 ** You must describe the table at read and you can use auto formatting at write
 ** You can remove and or reorder or add columns at write based on logical names
 ** You can handle more than one table per file by different row specifications
 ** This version of table support contains an unlimited amount of pre-/post processing steps
 ** No processors available yet, but with the next revision column encryption is planed
 ** This version of table support is prepared for tables in hierarchical formats (TLV (e.g. ASN-1), TVD (e.g. SWIFT), XML (e.g. SEPA))
 *** Support of Tag-Value-Delimiter text files like swift is planed for the next revision
 *** Support of XML files like SEPA are planed for the after next revision
 ** You can activate an end of table handling to write the tables of one source to different files

- Issue History
Date Modified Username Field Change
2016-02-05 09:54 Falk Reichbott New Issue
2016-02-05 09:54 Falk Reichbott Status new => assigned
2016-02-05 09:54 Falk Reichbott Assigned To => Falk Reichbott
2016-02-05 10:19 Ulrich Schwab Summary Support of conversion of tables, CVS files and FB datasets => Support of conversion of tables, CSV files and FB datasets
2016-02-18 08:30 Falk Reichbott Target Version 5.2 => 5.1.13
2016-02-29 13:50 Falk Reichbott Target Version 5.1.13 => 5.1.12
2016-05-12 18:43 Falk Reichbott Target Version 5.1.12 => 5.1.13
2016-06-02 10:17 Falk Reichbott Target Version 5.1.13 => 5.1.14
2016-11-17 16:02 Falk Reichbott Target Version 5.1.14 => 5.1.15
2017-01-23 07:51 Falk Reichbott Target Version 5.1.15 => 5.1.16
2017-03-03 17:32 Falk Reichbott Target Version 5.1.16 => 5.1.17
2017-05-10 13:44 Falk Reichbott Relationship added related to 0000866
2017-05-10 13:45 Falk Reichbott Target Version 5.1.17 => 5.1.16
2017-09-28 23:27 Falk Reichbott Note Added: 0001127
2017-09-28 23:27 Falk Reichbott Status assigned => resolved
2017-09-28 23:27 Falk Reichbott Fixed in Version => 5.1.16
2017-09-28 23:27 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker